Commit 4f2aee56 authored by Ignacio Corcuera's avatar Ignacio Corcuera
Browse files

DockerFile updated to deploy plugins

parent a5c27bca
...@@ -3,8 +3,13 @@ from python:2.7 ...@@ -3,8 +3,13 @@ from python:2.7
RUN apt-get update RUN apt-get update
RUN apt-get -y install git RUN apt-get -y install git
RUN mkdir -p /senpy-plugins RUN mkdir -p /senpy-plugins
RUN apt-get -y install python-numpy RUN apt-get -y install python-numpy
RUN apt-get -y install build-dep python-scipy RUN apt-get -y install python-scipy
RUN apt-get -y install python-sklearn
RUN apt-get -y install python-gevent
RUN apt-get -y install libopenblas-dev
RUN apt-get -y install gfortran
RUN pip install --upgrade pip RUN pip install --upgrade pip
ADD id_rsa /root/.ssh/id_rsa ADD id_rsa /root/.ssh/id_rsa
...@@ -16,7 +21,7 @@ RUN git clone git@github.com:gsi-upm/senpy-plugins-enterprise /senpy-plugins/ent ...@@ -16,7 +21,7 @@ RUN git clone git@github.com:gsi-upm/senpy-plugins-enterprise /senpy-plugins/ent
RUN git clone https://github.com/gsi-upm/senpy-plugins-community /senpy-plugins/community RUN git clone https://github.com/gsi-upm/senpy-plugins-community /senpy-plugins/community
RUN pip install /usr/src/app RUN pip install /usr/src/app
RUN pip install -r /senpy-plugins/enterprise/requirements.txt RUN pip install --no-use-wheel -r /senpy-plugins/enterprise/requirements.txt
WORKDIR /senpy-plugins WORKDIR /senpy-plugins
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment